www.cendio.com
Bug 4540 - Client should better sanitize input during login
: Client should better sanitize input during login
Status: CLOSED FIXED
: ThinLinc
Client
: trunk
: PC Unknown
: P2 Normal
: 4.1.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-02-12 14:26 by
Modified: 2013-05-20 16:14 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-02-12 14:26:59
If unexpected things are read into the client's buffer during login, it assumes
that the server it's trying to connect to does not run ThinLinc. However, it
may just be the case that something is writing output before thinlinc-login
gets a chance to do its thing - for example, if someone echos something in
.bashrc.

We should see if we can somehow try to sanitize the input, or at least log what
was actually received. I imagine this will have to be a "best effort" solution.

See issue 14025.
------- Comment #1 From cendio 2013-03-07 14:10:00 -------
This will be done as part of bug 3183.
------- Comment #2 From cendio 2013-03-07 14:11:52 -------
Fixed in r26736.
------- Comment #3 From cendio 2013-05-20 16:14:47 -------
Works great, output is logged to tlclient.log.